CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
csl::FrequencyAmount Class Reference

FrequencyAmount – mix-in class with frequency and amount (BW) control inputs (may be constants or generators). amount (probably 0..1) is a generalised placeholder for bandwidth, resonance or radius, according to filter type or could equally be used as a kind of x,y location in the frequency domain. More...

`#include <Filters.h>`

Inheritance diagram for csl::FrequencyAmount:

List of all members.

## Public Member Functions
| FrequencyAmount ()
| Constructors.
| ~FrequencyAmount ()
| Destructor.
void | setFrequency (UnitGenerator &frequency)
| set the receiver's frequency to a UGen or a float
void | setFrequency (float frequency)
float | getFrequency ()
void | setAmount (UnitGenerator &amount)
| set the receiver's amount to a UGen or a float
void | setAmount (float amount)
Port * | getPort (CSL_MAP_KEY name)

## Protected Member Functions
void | addInput (CSL_MAP_KEY name, UnitGenerator &ugen)
| Plug in a unit generator to the named input slot.
void | addInput (CSL_MAP_KEY name, float value)
| Plug in a float to the named input slot.
void | pullInput (Port *thePort, unsigned numFrames) throw (CException)
| method to read the control values (in case they're dynamic). this sends nextBuffer() to the input.
void | pullInput (Port *thePort, Buffer &theBuffer) throw (CException)
virtual void | dump ()
| pretty-print the receiver's input/controls map

## Protected Attributes
PortMap | mInputs
| the map of my inputs or controls (used by the mix-in classes)

## Detailed Description

FrequencyAmount – mix-in class with frequency and amount (BW) control inputs (may be constants or generators). amount (probably 0..1) is a generalised placeholder for bandwidth, resonance or radius, according to filter type or could equally be used as a kind of x,y location in the frequency domain.

Definition at line 70 of file Filters.h.

## Constructor & Destructor Documentation

FrequencyAmount::FrequencyAmount | ( |  | ) |

Constructors.

Definition at line 17 of file Filters.cpp.

References csl::logMsg().

FrequencyAmount::~FrequencyAmount | ( |  | ) |

Destructor.

Definition at line 23 of file Filters.cpp.

## Member Function Documentation

void FrequencyAmount::setFrequency | ( | UnitGenerator & | frequency | ) |

set the receiver's frequency to a UGen or a float

Definition at line 27 of file Filters.cpp.

References csl::Controllable::addInput(), CSL_FILTER_FREQUENCY, and csl::logMsg().

Referenced by csl::Allpass::Allpass(), csl::Butter::Butter(), csl::Formant::Formant(), csl::Moog::Moog(), csl::Notch::Notch(), csl::VSTIO::setParameter(), and testStereoverb().

void FrequencyAmount::setFrequency | ( | float | frequency | ) |

Definition at line 34 of file Filters.cpp.

References csl::Controllable::addInput(), CSL_FILTER_FREQUENCY, and csl::logMsg().

float FrequencyAmount::getFrequency | ( |  | ) |

Definition at line 41 of file Filters.cpp.

References CSL_FILTER_FREQUENCY, and csl::Controllable::getPort().

void FrequencyAmount::setAmount | ( | UnitGenerator & | amount | ) |

set the receiver's amount to a UGen or a float

Definition at line 45 of file Filters.cpp.

References csl::Controllable::addInput(), CSL_FILTER_AMOUNT, and csl::logMsg().

Referenced by csl::Allpass::Allpass(), csl::Butter::Butter(), csl::Formant::Formant(), csl::Moog::Moog(), and csl::Notch::Notch().

void FrequencyAmount::setAmount | ( | float | amount | ) |

Definition at line 52 of file Filters.cpp.

References csl::Controllable::addInput(), CSL_FILTER_AMOUNT, and csl::logMsg().

Port * Controllable::getPort | ( | CSL_MAP_KEY | name | ) |
| inherited

Definition at line 768 of file CSL_Core.cpp.

References csl::Controllable::mInputs.

Referenced by getFrequency(), and csl::VSTIO::getParameter().

void Controllable::addInput | ( | CSL_MAP_KEY | name,
|  | UnitGenerator & | ugen
| ) |  |
| protected inherited

Plug in a unit generator to the named input slot.

Definition at line 742 of file CSL_Core.cpp.

References csl::UnitGenerator::addOutput(), csl::logMsg(), and csl::Controllable::mInputs.

Referenced by csl::BinaryOp::BinaryOp(), csl::DistanceSimulator::DistanceSimulator(), csl::Effect::Effect(), csl::InOut::InOut(), csl::NtoMPanner::NtoMPanner(), csl::Panner::Panner(), csl::Phased::Phased(), csl::Scalable::Scalable(), setAmount(), setFrequency(), csl::Phased::setFrequency(), csl::Effect::setInput(), csl::Scalable::setOffset(), csl::Panner::setPosition(), csl::Abst_SoundFile::setRate(), csl::Scalable::setScale(), csl::NtoMPanner::setX(), csl::NtoMPanner::setY(), and csl::SpatialSource::SpatialSource().

void Controllable::addInput | ( | CSL_MAP_KEY | name,
|  | float | value
| ) |  |
| protected inherited

Plug in a float to the named input slot.

Definition at line 754 of file CSL_Core.cpp.

References csl::logMsg(), csl::Controllable::mInputs, and csl::Port::mValue.

void Controllable::pullInput | ( | Port * | thePort,
|  | unsigned | numFrames
| ) |  | throw (CException)
| protected inherited

method to read the control values (in case they're dynamic). this sends nextBuffer() to the input.

Definition at line 695 of file CSL_Core.cpp.

References csl::kSamples, csl::logMsg(), csl::Buffer::mIsPopulated, csl::Buffer::mNumFrames, csl::Buffer::mType, csl::UnitGenerator::nextBuffer(), and csl::Buffer::zeroBuffers().

Referenced by csl::Panner::nextBuffer(), csl::NtoMPanner::nextBuffer(), and csl::Effect::pullInput().

void Controllable::pullInput | ( | Port * | thePort,
|  | Buffer & | theBuffer
| ) |  | throw (CException)
| protected inherited

Definition at line 727 of file CSL_Core.cpp.

References csl::UnitGenerator::nextBuffer().

void Controllable::dump | ( | void |  | ) |
| protected virtual inherited

pretty-print the receiver's input/controls map

Reimplemented in csl::RandEnvelope, csl::SumOfSines, csl::Abst_SoundFile, csl::Envelope, csl::Filter, csl::SineAsScaled, csl::SpatialSource, csl::SineAsPhased, csl::Mixer, csl::KarplusString, csl::Oscillator, csl::BinaryOp, csl::Clipper, csl::CASoundFile, and csl::Noise.

Definition at line 774 of file CSL_Core.cpp.

References CSL_FREQUENCY, CSL_INPUT, CSL_OFFSET, CSL_SCALE, csl::logMsg(), and csl::Controllable::mInputs.

## Member Data Documentation

PortMap csl::Controllable::mInputs
| protected inherited

the map of my inputs or controls (used by the mix-in classes)

Definition at line 353 of file CSL_Core.h.

Referenced by csl::Controllable::addInput(), csl::BinaryOp::dump(), csl::Controllable::dump(), csl::Controllable::getPort(), csl::Effect::inPort(), csl::Effect::isActive(), csl::Joiner::isActive(), csl::SquareBL::nextWaveInto(), csl::BinaryOp::operandIsFixed(), csl::Phased::Phased(), csl::DistanceSimulator::positionChanged(), csl::Scalable::Scalable(), csl::BinaryOp::setOperand(), csl::Abst_SoundFile::setRate(), csl::Butter::setupCoeffs(), csl::Formant::setupCoeffs(), csl::Notch::setupCoeffs(), csl::Allpass::setupCoeffs(), csl::Moog::setupCoeffs(), csl::Scalable::trigger(), csl::Effect::trigger(), csl::Joiner::trigger(), and csl::Controllable::~Controllable().

The documentation for this class was generated from the following files:

- CSL/Processors/Filters.h
- CSL/Processors/Filters.cpp